import { I18nService } from '@lightweightform/core';
import { BsButtonSize } from '../button/button.component';
export interface BsActionsMenuAction {
    id?: string;
    text?: string;
    class?: string;
    style?: string;
    icon?: string;
    isActive?: boolean;
    isDisabled?: boolean;
    callback: (value?: any) => void;
    options?: BsActionsMenuActionOption[];
    alignRight?: boolean;
}
export interface BsActionsMenuActionOption {
    id?: string;
    text?: string;
    class?: string;
    value: any;
    isActive?: boolean;
    isDisabled?: boolean;
}
export declare type BsActionsMenuCollapseSize = 'none' | 'sm' | 'md' | 'lg' | 'xl' | 'every';
/**
 * Key used to translate the label of the actions menu when it is in "mobile"
 * mode.
 */
export declare const I18N_ACTIONS_MENU_LABEL_KEY = "BS_ACTIONS_MENU_LABEL";
/**
 * Key used to translate the text of the buttons.
 */
export declare const I18N_ACTIONS_MENU_KEY = "BS_ACTIONS_MENU";
/**
 * Key used to translate the text of the options of the buttons.
 */
export declare const I18N_ACTIONS_MENU_OPTIONS_KEY = "BS_ACTIONS_MENU_OPTIONS";
export declare class ActionsMenuComponent {
    protected _i18nService: I18nService;
    _actionsLabelText: string;
    actions: BsActionsMenuAction[];
    buttonsSize: BsButtonSize;
    collapseSize: BsActionsMenuCollapseSize;
    actionsLabelCollapseSize: BsActionsMenuCollapseSize;
    alignMenusRight: boolean;
    constructor(_i18nService: I18nService);
    readonly actionsLabelText: any;
    actionText(act: BsActionsMenuAction): string;
    actionOptionText(act: BsActionsMenuAction, option: BsActionsMenuActionOption): string;
}
