import { AfterViewInit, ElementRef, EventEmitter, OnDestroy } from '@angular/core';
import { ToggleableController } from '@lightweightform/core';
export declare type BsDropdownPosition = 'left' | 'right' | 'up' | 'down';
export declare type BsDropdownBoundary = 'viewport' | 'window' | 'scrollParent' | ElementRef;
export declare type BsDropdownReference = 'toggle' | 'parent' | ElementRef;
export declare type BsDropdownDisplay = 'dynamic' | 'static';
export declare class DropdownComponent extends ToggleableController implements AfterViewInit, OnDestroy {
    protected _host: ElementRef;
    position: BsDropdownPosition;
    offset: string | number;
    flip: boolean;
    boundary: BsDropdownBoundary;
    reference: BsDropdownReference;
    display: BsDropdownDisplay;
    onShown: EventEmitter<void>;
    onHidden: EventEmitter<void>;
    _hostClassBtnGroup: boolean;
    protected _toggle: ElementRef;
    protected _$toggle: any;
    protected _$host: any;
    protected _animating: boolean;
    protected _disposeOnOptionsChange: () => void;
    protected _onShowUnsubscribe: () => void;
    protected _onHideUnsubscribe: () => void;
    constructor(_host: ElementRef);
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    readonly _hostClassDropleft: boolean;
    readonly _hostClassDropright: boolean;
    readonly _hostClassDropup: boolean;
    protected _createDropdown(): void;
    protected _destroyDropdown(): void;
}
