import { EventEmitter } from '@angular/core';
export interface FieldComponentCommon {
    code?: string;
    help?: string;
    legend?: string;
    onFocus: EventEmitter<void>;
    onBlur: EventEmitter<void>;
    _onFocus(evt?: any): void;
    _onBlur(evt?: any): void;
}
/**
 * Key used to translate the help of a field.
 */
export declare const I18N_HELP_KEY = "BS_HELP";
/**
 * Key used to translate the legend of a field.
 */
export declare const I18N_LEGEND_KEY = "BS_LEGEND";
/**
 * Key used to translate the "retry validation" help message of fields.
 */
export declare const I18N_FIELD_RETRY_VALIDATION_KEY = "BS_FIELD_RETRY_VALIDATION";
export declare type Constructor<T> = new (...args: any[]) => T;
export declare function FieldComponent<C extends Constructor<{}>>(valueControllerConstructor: C): C & Constructor<FieldComponentCommon>;
