import { NumberController } from '@lightweightform/core';
import { FieldComponentCommon } from '../create-field-component';
export declare const I18N_NUMBER_PREFIX_KEY = "BS_NUMBER_PREFIX";
export declare const I18N_NUMBER_SUFFIX_KEY = "BS_NUMBER_SUFFIX";
export declare const I18N_NUMBER_DECIMAL_SEPARATOR_KEY = "BS_NUMBER_DECIMAL_SEPARATOR";
export declare const I18N_NUMBER_THOUSANDS_SEPARATOR_KEY = "BS_NUMBER_THOUSANDS_SEPARATOR";
declare const NumberComponent_base: typeof NumberController & (new (...args: any[]) => FieldComponentCommon);
export declare class NumberComponent extends NumberComponent_base implements FieldComponentCommon {
    scale: number;
    leadingZeroes: number;
    representsInteger: boolean;
    _prefix: string;
    _suffix: string;
    _decimalSeparator: string;
    _thousandsSeparator: string;
    protected _isEditing: boolean;
    readonly prefix: any;
    readonly suffix: any;
    readonly decimalSeparator: any;
    readonly thousandsSeparator: any;
    readonly isEditing: boolean;
    _onFocus(evt: any): void;
    _onBlur(evt: any): void;
    formatValueForDisplay(value: number | null): string;
    formatValueForEdit(value: number | null): string;
    protected _getEditCaretPosition(formattedValue: string, caret: number): number;
}
