import { AfterViewInit, ElementRef, EventEmitter, OnDestroy } from '@angular/core';
import { I18nService, ToggleableController, ValueController } from '@lightweightform/core';
export declare type BsModalSize = 'sm' | 'lg';
export declare const I18N_MODAL_CLOSE_TOOLTIP_KEY = "BS_MODAL_CLOSE_TOOLTIP";
export declare class ModalComponent extends ToggleableController implements AfterViewInit, OnDestroy {
    protected _i18nService: I18nService;
    protected _parentValue: ValueController;
    _closeModalTooltipText: string;
    size: BsModalSize;
    isCentered: boolean;
    animate: boolean;
    closeWithEsc: boolean;
    showBackdrop: boolean;
    ignoreBackdropClick: boolean;
    autoFocus: boolean;
    onShown: EventEmitter<void>;
    onHidden: EventEmitter<void>;
    protected _modal: ElementRef;
    protected _$modal: any;
    protected _animating: boolean;
    protected _onFormActivateUnsubscribe?: () => void;
    protected _onFormDeactivateUnsubscribe?: () => void;
    protected _disposeOnOptionsChange: () => void;
    protected _onShowUnsubscribe: () => void;
    protected _onHideUnsubscribe: () => void;
    constructor(_i18nService: I18nService, _parentValue: ValueController);
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    refresh(): void;
    readonly closeModalTooltipText: any;
    protected _createModal(): void;
    protected _destroyModal(): Promise<void>;
}
