import { I18nService, RouterService, StorageService } from '@lightweightform/core';
import { AppComponent } from '../app/app.component';
export interface Action {
    id?: string;
    text?: string;
    style?: string;
    icon?: string;
    options?: ActionOption[];
    callback: (value?: any) => void;
}
export interface ActionOption {
    value: any;
    text: string;
    isDisabled?: boolean | (() => boolean);
}
/**
 * Key used to translate the "retry validation" help message of fields.
 */
export declare const I18N_TOP_BAR_RETRY_VALIDATION_KEY = "BS_TOP_BAR_RETRY_VALIDATION";
export declare class TopBarComponent {
    protected _i18nService: I18nService;
    protected _routerService: RouterService;
    protected _storageService: StorageService;
    protected _appComponent: AppComponent;
    _actionsLabelText: string;
    _retryValidationText: string;
    private _actions;
    constructor(_i18nService: I18nService, _routerService: RouterService, _storageService: StorageService, _appComponent: AppComponent);
    readonly rootUrl: string;
    readonly retryValidationText: string;
    readonly actions: Action[];
    readonly appHasPendingValidation: boolean;
    readonly shouldShowAppRecompute: boolean;
    recomputeAppStateProperties(): void;
    readonly isTreeNavVisible: boolean;
    showTreeNav(): void;
}
