import { I18nService, RouterService, StorageService } from '@lightweightform/core';
import { Identifier, Storage } from '@lightweightform/storage';
export declare const I18N_ADD_OPTIONAL_FORM_KEY = "BS_TREE_NAV_ADD_OPTIONAL_FORM";
export declare class TreeEntryComponent {
    protected _i18nService: I18nService;
    protected _routerService: RouterService;
    protected _storageService: StorageService;
    _addOptionalFormText: string;
    path: string;
    constructor(_i18nService: I18nService, _routerService: RouterService, _storageService: StorageService);
    readonly addOptionalFormText: string;
    readonly relativeStorage: Storage;
    readonly isForm: boolean;
    readonly isFormList: boolean;
    readonly addFormText: string;
    childPath(id: Identifier): string;
    pushForm(): void;
    readonly childrenIds: Identifier[];
    readonly nullChildrenIds: Identifier[];
    childUrl(id: Identifier): string;
    childIsForm(id: Identifier): boolean;
    childIsFormList(id: Identifier): boolean;
    childLabel(id: Identifier): string;
    initializeChild(id: string): void;
    childShouldShow(id: Identifier): boolean;
    childShouldShowValid(id: Identifier): boolean;
    childShouldShowError(id: Identifier): boolean;
    childShouldShowWarning(id: Identifier): boolean;
    childValidationIsPending(id: Identifier): boolean;
    childShouldShowRecompute(id: Identifier): boolean;
    recomputeChildStateProperties(id: Identifier, evt: any): void;
    childIsActive(id: Identifier): boolean;
    childHasActiveSubForm(id: Identifier): boolean;
    childSubFormsShouldShow(id: Identifier): boolean;
    childHasSubForms(id: Identifier): boolean;
}
