import { I18nService, RouterService, ToggleableController } from '@lightweightform/core';
import { ValidationError, ValidationErrors } from '@lightweightform/storage';
import { ValidationMessagesService } from '../../services/validation-messages/validation-messages.service';
export declare const I18N_VALIDATION_PANEL_NO_ERRORS_KEY = "BS_VALIDATION_PANEL_NO_ERRORS";
export declare const I18N_VALIDATION_PANEL_ERRORS_KEY = "BS_VALIDATION_PANEL_ERRORS";
export declare const I18N_VALIDATION_PANEL_WARNINGS_KEY = "BS_VALIDATION_PANEL_WARNINGS";
export declare const I18N_VALIDATION_PANEL_NEXT_TOOLTIP_KEY = "BS_VALIDATION_PANEL_NEXT_TOOLTIP";
export declare const I18N_VALIDATION_PANEL_PREV_TOOLTIP_KEY = "BS_VALIDATION_PANEL_PREV_TOOLTIP";
export declare const I18N_VALIDATION_PANEL_CLOSE_TOOLTIP_KEY = "BS_VALIDATION_PANEL_CLOSE_TOOLTIP";
export declare class ValidationPanelComponent extends ToggleableController {
    protected _i18nService: I18nService;
    protected _routerService: RouterService;
    protected _validationMessagesService: ValidationMessagesService;
    _noErrorsText: string;
    _errorsText: string;
    _warningsText: string;
    _nextTooltipText: string;
    _prevTooltipText: string;
    _closePanelTooltipText: string;
    _validationErrors: ValidationErrors;
    isPending: boolean;
    protected _currentPath: string;
    constructor(_i18nService: I18nService, _routerService: RouterService, _validationMessagesService: ValidationMessagesService);
    readonly noErrorsText: string;
    readonly errorsText: string;
    readonly warningsText: string;
    readonly nextTooltipText: any;
    readonly prevTooltipText: any;
    readonly closePanelTooltipText: any;
    readonly currentPath: string;
    readonly currentLabel: string;
    readonly hasNext: boolean;
    next(): void;
    readonly hasPrevious: boolean;
    previous(): void;
    readonly errors: ValidationError[];
    readonly warnings: ValidationError[];
    readonly formHasNoErrors: boolean;
    readonly panelType: string;
    private readonly _pages;
    validationErrorMessage(validationError: ValidationError): string;
}
